*******************************************************************
* Licensed Materials - Property of IBM
* 5724-L62
*
* (C) Copyright IBM Corp. 2006-2009 All Rights Reserved.
*
* US Government Users Restricted Rights - Use, duplication or
* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
*******************************************************************
 
/* UAdvisor for KYJAPSRV Historical Collection */

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME ="UADVISOR_KYJ_KYJAPSRV";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME="UADVISOR_KYJ_KYJAPSRV";
						  
INSERT INTO O4SRV.TSITDESC
(
AFFINITIES,
ALERTLIST,
AUTOSTART,
CMD,
LSTCCSID,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
PDT,
PRNAMES,
QIBCLASSID,
QIBSCOPE,
REEV_DAYS,
REEV_TIME,
SENDMSGQ,
SITNAME,
TEXT
)
VALUES
(
/* AFFINITIES */
"0000000O0WW000Y0000000000000004000000000000",
/* ALERTLIST */
"*NO",
/* AUTOSTART */
"*SYN",
/* CMD */
"*NONE",
/* LSTCCSID */
"65535",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SPUFIL",
/* PDT */
'*IF *HISTRULE SELECT ORIGINNODE
 FROM KYJ.KYJAPSRV WHERE SYSTEM.PARMA("HISTORY", "IRA", 3) AND
 SYSTEM.PARMA("WAREHOUSE", "TRIGGER(96)", 11) AND
 SYSTEM.PARMA("INTERVAL", "900000", 10) AND
 SYSTEM.PARMA("NODELIST", "*ALL", 4) AND
 SYSTEM.PARMA("SITNAME", "UADVISOR_KYJ_KYJAPSRV", 21)',
/* PRNAMES */
"PRNAMES",
/* QIBCLASSID */
"5140",
/* QIBSCOPE */
"E",
/* REEV_DAYS */
"00",
/* REEV_TIME */
"001500",
/* SENDMSGQ */
"*NONE",
/* SITNAME */
"UADVISOR_KYJ_KYJAPSRV",
/* TEXT */
"UADVISOR SITUATION FOR KYJAPSRV HISTORY"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"N",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"HISTCNFG",
/* NODEL */
"*ALL_CMS",
/* OBJCLASS */
"5140",
/* OBJNAME */
"UADVISOR_KYJ_KYJAPSRV"
);

 
/* UAdvisor for KYJWLJMSD Historical Collection */

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME ="UADVISOR_KYJ_KYJWLJMSD";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME="UADVISOR_KYJ_KYJWLJMSD";
						  
INSERT INTO O4SRV.TSITDESC
(
AFFINITIES,
ALERTLIST,
AUTOSTART,
CMD,
LSTCCSID,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
PDT,
PRNAMES,
QIBCLASSID,
QIBSCOPE,
REEV_DAYS,
REEV_TIME,
SENDMSGQ,
SITNAME,
TEXT
)
VALUES
(
/* AFFINITIES */
"00000000000000W0000000000000000000000000000",
/* ALERTLIST */
"*NO",
/* AUTOSTART */
"*SYN",
/* CMD */
"*NONE",
/* LSTCCSID */
"65535",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SPUFIL",
/* PDT */
'*IF *HISTRULE SELECT ORIGINNODE
 FROM KYJ.KYJWLJMSD WHERE SYSTEM.PARMA("HISTORY", "IRA", 3) AND
 SYSTEM.PARMA("WAREHOUSE", "TRIGGER(96)", 11) AND
 SYSTEM.PARMA("INTERVAL", "900000", 10) AND
 SYSTEM.PARMA("NODELIST", "*ALL", 4) AND
 SYSTEM.PARMA("SITNAME", "UADVISOR_KYJ_KYJWLJMSD", 22)',
/* PRNAMES */
"PRNAMES",
/* QIBCLASSID */
"5140",
/* QIBSCOPE */
"E",
/* REEV_DAYS */
"00",
/* REEV_TIME */
"001500",
/* SENDMSGQ */
"*NONE",
/* SITNAME */
"UADVISOR_KYJ_KYJWLJMSD",
/* TEXT */
"UADVISOR SITUATION FOR KYJWLJMSD HISTORY"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"N",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"HISTCNFG",
/* NODEL */
"*ALL_CMS",
/* OBJCLASS */
"5140",
/* OBJNAME */
"UADVISOR_KYJ_KYJWLJMSD"
);

 
/* UAdvisor for KYJWLJMSV Historical Collection */

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME ="UADVISOR_KYJ_KYJWLJMSV";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME="UADVISOR_KYJ_KYJWLJMSV";
						  
INSERT INTO O4SRV.TSITDESC
(
AFFINITIES,
ALERTLIST,
AUTOSTART,
CMD,
LSTCCSID,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
PDT,
PRNAMES,
QIBCLASSID,
QIBSCOPE,
REEV_DAYS,
REEV_TIME,
SENDMSGQ,
SITNAME,
TEXT
)
VALUES
(
/* AFFINITIES */
"00000000000000W0000000000000000000000000000",
/* ALERTLIST */
"*NO",
/* AUTOSTART */
"*SYN",
/* CMD */
"*NONE",
/* LSTCCSID */
"65535",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SPUFIL",
/* PDT */
'*IF *HISTRULE SELECT ORIGINNODE
 FROM KYJ.KYJWLJMSV WHERE SYSTEM.PARMA("HISTORY", "IRA", 3) AND
 SYSTEM.PARMA("WAREHOUSE", "TRIGGER(96)", 11) AND
 SYSTEM.PARMA("INTERVAL", "900000", 10) AND
 SYSTEM.PARMA("NODELIST", "*ALL", 4) AND
 SYSTEM.PARMA("SITNAME", "UADVISOR_KYJ_KYJWLJMSV", 22)',
/* PRNAMES */
"PRNAMES",
/* QIBCLASSID */
"5140",
/* QIBSCOPE */
"E",
/* REEV_DAYS */
"00",
/* REEV_TIME */
"001500",
/* SENDMSGQ */
"*NONE",
/* SITNAME */
"UADVISOR_KYJ_KYJWLJMSV",
/* TEXT */
"UADVISOR SITUATION FOR KYJWLJMSV HISTORY"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"N",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"HISTCNFG",
/* NODEL */
"*ALL_CMS",
/* OBJCLASS */
"5140",
/* OBJNAME */
"UADVISOR_KYJ_KYJWLJMSV"
);

 
/* UAdvisor for KYJREQHIS Historical Collection */

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME ="UADVISOR_KYJ_KYJREQHIS";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME="UADVISOR_KYJ_KYJREQHIS";
						  
INSERT INTO O4SRV.TSITDESC
(
AFFINITIES,
ALERTLIST,
AUTOSTART,
CMD,
LSTCCSID,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
PDT,
PRNAMES,
QIBCLASSID,
QIBSCOPE,
REEV_DAYS,
REEV_TIME,
SENDMSGQ,
SITNAME,
TEXT
)
VALUES
(
/* AFFINITIES */
"0000000O0WW000Y0000000000000004000000000000",
/* ALERTLIST */
"*NO",
/* AUTOSTART */
"*SYN",
/* CMD */
"*NONE",
/* LSTCCSID */
"65535",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SPUFIL",
/* PDT */
'*IF *HISTRULE SELECT ORIGINNODE
 FROM KYJ.KYJREQHIS WHERE SYSTEM.PARMA("HISTORY", "IRA", 3) AND
 SYSTEM.PARMA("WAREHOUSE", "TRIGGER(96)", 11) AND
 SYSTEM.PARMA("INTERVAL", "900000", 10) AND
 SYSTEM.PARMA("NODELIST", "*ALL", 4) AND
 SYSTEM.PARMA("SITNAME", "UADVISOR_KYJ_KYJREQHIS", 22)',
/* PRNAMES */
"PRNAMES",
/* QIBCLASSID */
"5140",
/* QIBSCOPE */
"E",
/* REEV_DAYS */
"00",
/* REEV_TIME */
"001500",
/* SENDMSGQ */
"*NONE",
/* SITNAME */
"UADVISOR_KYJ_KYJREQHIS",
/* TEXT */
"UADVISOR SITUATION FOR KYJREQHIS HISTORY"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"N",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"HISTCNFG",
/* NODEL */
"*ALL_CMS",
/* OBJCLASS */
"5140",
/* OBJNAME */
"UADVISOR_KYJ_KYJREQHIS"
);

 
/* UAdvisor for KYJGCACT Historical Collection */

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME ="UADVISOR_KYJ_KYJGCACT";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME="UADVISOR_KYJ_KYJGCACT";
						  
INSERT INTO O4SRV.TSITDESC
(
AFFINITIES,
ALERTLIST,
AUTOSTART,
CMD,
LSTCCSID,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
PDT,
PRNAMES,
QIBCLASSID,
QIBSCOPE,
REEV_DAYS,
REEV_TIME,
SENDMSGQ,
SITNAME,
TEXT
)
VALUES
(
/* AFFINITIES */
"0000000O0WW000Y0000000000000004000000000000",
/* ALERTLIST */
"*NO",
/* AUTOSTART */
"*SYN",
/* CMD */
"*NONE",
/* LSTCCSID */
"65535",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SPUFIL",
/* PDT */
'*IF *HISTRULE SELECT ORIGINNODE
 FROM KYJ.KYJGCACT WHERE SYSTEM.PARMA("HISTORY", "IRA", 3) AND
 SYSTEM.PARMA("WAREHOUSE", "TRIGGER(96)", 11) AND
 SYSTEM.PARMA("INTERVAL", "900000", 10) AND
 SYSTEM.PARMA("NODELIST", "*ALL", 4) AND
 SYSTEM.PARMA("SITNAME", "UADVISOR_KYJ_KYJGCACT", 21)',
/* PRNAMES */
"PRNAMES",
/* QIBCLASSID */
"5140",
/* QIBSCOPE */
"E",
/* REEV_DAYS */
"00",
/* REEV_TIME */
"001500",
/* SENDMSGQ */
"*NONE",
/* SITNAME */
"UADVISOR_KYJ_KYJGCACT",
/* TEXT */
"UADVISOR SITUATION FOR KYJGCACT HISTORY"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"N",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"HISTCNFG",
/* NODEL */
"*ALL_CMS",
/* OBJCLASS */
"5140",
/* OBJNAME */
"UADVISOR_KYJ_KYJGCACT"
);


/*  SITUATIONS  */


DELETE FROM O4SRV.TSITDESC
WHERE SITNAME="J2EEAppDiscovered";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME ="J2EEAppDiscovered";

$PARMS(
"A new J2EE application is discovered. This happens when DC first
 time connects (for all deployed applications), or when new
 application deployed on server."
);

INSERT INTO O4SRV.TSITDESC
(
AFFINITIES,
ALERTLIST,
AUTOSOPT,
AUTOSTART,
CMD,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
PDT,
PRNAMES,
QIBSCOPE,
REEV_DAYS,
REEV_TIME,
SENDMSGQ,
ADVISE,
SITNAME,
SITINFO,
TEXT
)
VALUES
(
/* AFFINITIES */
"0000000O0WW000W0000000000000004000000000000",
/* ALERTLIST */
"*NO",
/* AUTOSOPT */
"YNN     ",
/* AUTOSTART */
"*YES",
/* CMD */
"YJ:Start_Baselining
 &{Application_Monitoring_Configuration_-_J2EE.App_Id} 7/0:0:0
 1:00:00 1",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* PDT */
"*IF *VALUE Application_Monitoring_Configuration_-_J2EE.Mon_Status
 *EQ Discovered",
/* PRNAMES */
"MV52",
/* QIBSCOPE */
"E",
/* REEV_DAYS */
"0",
/* REEV_TIME */
"000500" ,
/* SENDMSGQ */
"*NONE",
/* ADVISE */
?,
/* SITNAME */
"J2EEAppDiscovered",
/* SITINFO */
"SEV=Informational;ATOM=KYJAPMONCF.APP_NAME",
/* TEXT */
"J2EE Application Discovered"
);

DELETE FROM O4SRV.TTMPLSIT
WHERE NAME ="J2EEAppDiscovered";

INSERT INTO O4SRV.TTMPLSIT
(
NAME,
STATE,
TEMPLATE,
TYPE
)
VALUES
(
/* NAME */
"J2EEAppDiscovered",
/* STATE */
"Informational",
/* TEMPLATE */
"KYJ.0010.KYJAPHLTH",
/* TYPE */
256
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_J2EE_WLS_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEAppDiscovered"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_J2EE_JBOSS_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEAppDiscovered"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_J2EE_NETWEAVER_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEAppDiscovered"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_J2EE_TOMCAT_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEAppDiscovered"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_J2EE_ORACLE_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEAppDiscovered"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_WASCE_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEAppDiscovered"
);


DELETE FROM O4SRV.TSITDESC
WHERE SITNAME="J2EEAppHealthGood";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME ="J2EEAppHealthGood";

$PARMS(
"J2EE application is running on good health level. Examine
 Application Health workspaces for additional details."
);

INSERT INTO O4SRV.TSITDESC
(
AFFINITIES,
ALERTLIST,
AUTOSOPT,
AUTOSTART,
CMD,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
PDT,
PRNAMES,
QIBSCOPE,
REEV_DAYS,
REEV_TIME,
SENDMSGQ,
ADVISE,
SITNAME,
SITINFO,
TEXT
)
VALUES
(
/* AFFINITIES */
"0000000O0WW000W0000000000000004000000000000",
/* ALERTLIST */
"*NO",
/* AUTOSOPT */
"NNN     ",
/* AUTOSTART */
"*YES",
/* CMD */
"YJ:Set_Application_Monitoring
 &{Application_Health_Status_-_J2EE.App_Id} 4 2 2",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* PDT */
"*IF *VALUE Application_Health_Status_-_J2EE.Application_Health *EQ
 Good",
/* PRNAMES */
"MV52",
/* QIBSCOPE */
"E",
/* REEV_DAYS */
"0",
/* REEV_TIME */
"000500" ,
/* SENDMSGQ */
"*NONE",
/* ADVISE */
?,
/* SITNAME */
"J2EEAppHealthGood",
/* SITINFO */
"SEV=Informational;ATOM=KYJAPHLTH.APP_NAME",
/* TEXT */
"J2EE Application Health Good"
);

DELETE FROM O4SRV.TTMPLSIT
WHERE NAME ="J2EEAppHealthGood";

INSERT INTO O4SRV.TTMPLSIT
(
NAME,
STATE,
TEMPLATE,
TYPE
)
VALUES
(
/* NAME */
"J2EEAppHealthGood",
/* STATE */
"Informational",
/* TEMPLATE */
"KYJ.0010.KYJAPHLTH",
/* TYPE */
256
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_J2EE_WLS_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEAppHealthGood"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_J2EE_JBOSS_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEAppHealthGood"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_J2EE_NETWEAVER_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEAppHealthGood"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_J2EE_TOMCAT_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEAppHealthGood"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_J2EE_ORACLE_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEAppHealthGood"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_WASCE_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEAppHealthGood"
);


DELETE FROM O4SRV.TSITDESC
WHERE SITNAME="J2EEAppHealthFair";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME ="J2EEAppHealthFair";

$PARMS(
"J2EE application is running on fair health level. Examine
 Application Health workspaces for additional details."
);

INSERT INTO O4SRV.TSITDESC
(
AFFINITIES,
ALERTLIST,
AUTOSOPT,
AUTOSTART,
CMD,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
PDT,
PRNAMES,
QIBSCOPE,
REEV_DAYS,
REEV_TIME,
SENDMSGQ,
ADVISE,
SITNAME,
SITINFO,
TEXT
)
VALUES
(
/* AFFINITIES */
"0000000O0WW000W0000000000000004000000000000",
/* ALERTLIST */
"*NO",
/* AUTOSOPT */
"NNN     ",
/* AUTOSTART */
"*YES",
/* CMD */
"YJ:Set_Application_Monitoring
 &{Application_Health_Status_-_J2EE.App_Id} 4 2 2",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* PDT */
"*IF *VALUE Application_Health_Status_-_J2EE.Application_Health *EQ
 Fair",
/* PRNAMES */
"MV52",
/* QIBSCOPE */
"E",
/* REEV_DAYS */
"0",
/* REEV_TIME */
"000500" ,
/* SENDMSGQ */
"*NONE",
/* ADVISE */
?,
/* SITNAME */
"J2EEAppHealthFair",
/* SITINFO */
"SEV=Warning;ATOM=KYJAPHLTH.APP_NAME",
/* TEXT */
"J2EE Application Health Fair"
);

DELETE FROM O4SRV.TTMPLSIT
WHERE NAME ="J2EEAppHealthFair";

INSERT INTO O4SRV.TTMPLSIT
(
NAME,
STATE,
TEMPLATE,
TYPE
)
VALUES
(
/* NAME */
"J2EEAppHealthFair",
/* STATE */
"Warning",
/* TEMPLATE */
"KYJ.0010.KYJAPHLTH",
/* TYPE */
256
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_J2EE_WLS_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEAppHealthFair"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_J2EE_JBOSS_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEAppHealthFair"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_J2EE_NETWEAVER_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEAppHealthFair"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_J2EE_TOMCAT_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEAppHealthFair"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_J2EE_ORACLE_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEAppHealthFair"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_WASCE_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEAppHealthFair"
);


DELETE FROM O4SRV.TSITDESC
WHERE SITNAME="J2EEAppHealthBad";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME ="J2EEAppHealthBad";

$PARMS(
"J2EE application is running on bad health level. Examine
 Application Health workspaces for additional details."
);

INSERT INTO O4SRV.TSITDESC
(
AFFINITIES,
ALERTLIST,
AUTOSOPT,
AUTOSTART,
CMD,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
PDT,
PRNAMES,
QIBSCOPE,
REEV_DAYS,
REEV_TIME,
SENDMSGQ,
ADVISE,
SITNAME,
SITINFO,
TEXT
)
VALUES
(
/* AFFINITIES */
"0000000O0WW000W0000000000000004000000000000",
/* ALERTLIST */
"*NO",
/* AUTOSOPT */
"NNN     ",
/* AUTOSTART */
"*YES",
/* CMD */
"YJ:Set_Application_Monitoring
 &{Application_Health_Status_-_J2EE.App_Id} 4 2 25",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* PDT */
"*IF *VALUE Application_Health_Status_-_J2EE.Application_Health *EQ
 Bad",
/* PRNAMES */
"MV52",
/* QIBSCOPE */
"E",
/* REEV_DAYS */
"0",
/* REEV_TIME */
"000500" ,
/* SENDMSGQ */
"*NONE",
/* ADVISE */
?,
/* SITNAME */
"J2EEAppHealthBad",
/* SITINFO */
"SEV=Critical;ATOM=KYJAPHLTH.APP_NAME",
/* TEXT */
"J2EE Application Health Bad"
);

DELETE FROM O4SRV.TTMPLSIT
WHERE NAME ="J2EEAppHealthBad";

INSERT INTO O4SRV.TTMPLSIT
(
NAME,
STATE,
TEMPLATE,
TYPE
)
VALUES
(
/* NAME */
"J2EEAppHealthBad",
/* STATE */
"Critical",
/* TEMPLATE */
"KYJ.0010.KYJAPHLTH",
/* TYPE */
256
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_J2EE_WLS_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEAppHealthBad"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_J2EE_JBOSS_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEAppHealthBad"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_J2EE_NETWEAVER_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEAppHealthBad"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_J2EE_TOMCAT_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEAppHealthBad"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_J2EE_ORACLE_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEAppHealthBad"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_WASCE_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEAppHealthBad"
);


DELETE FROM O4SRV.TSITDESC
WHERE SITNAME="J2EEServletsJSPsError";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME ="J2EEServletsJSPsError";

$PARMS(
"An error has occurred in a servlet or JSP. For details, consult the
 Log Analysis workspace for error messages, and check the
 application server's log files."
);

INSERT INTO O4SRV.TSITDESC
(
AFFINITIES,
ALERTLIST,
AUTOSOPT,
AUTOSTART,
CMD,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
PDT,
PRNAMES,
QIBSCOPE,
REEV_DAYS,
REEV_TIME,
SENDMSGQ,
ADVISE,
SITNAME,
SITINFO,
TEXT
)
VALUES
(
/* AFFINITIES */
"0000000000000000000000000000004000000000000",
/* ALERTLIST */
"*NO",
/* AUTOSOPT */
"NNN     ",
/* AUTOSTART */
"*NO",
/* CMD */
"*NONE",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* PDT */
"*IF *VALUE Servlets/JSPs_-_J2EE.Error_Count *GT 0",
/* PRNAMES */
"MV52",
/* QIBSCOPE */
"E",
/* REEV_DAYS */
"0",
/* REEV_TIME */
"000500" ,
/* SENDMSGQ */
"*NONE",
/* ADVISE */
?,
/* SITNAME */
"J2EEServletsJSPsError",
/* SITINFO */
"SEV=Critical;ATOM=KYJSERVLT.SJ_NAME",
/* TEXT */
"J2EE Servlets/JSPs Error."
);

DELETE FROM O4SRV.TTMPLSIT
WHERE NAME ="J2EEServletsJSPsError";

INSERT INTO O4SRV.TTMPLSIT
(
NAME,
STATE,
TEMPLATE,
TYPE
)
VALUES
(
/* NAME */
"J2EEServletsJSPsError",
/* STATE */
"Critical",
/* TEMPLATE */
"KYJ.0140.KYJWEBAPP",
/* TYPE */
256
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_WASCE_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEServletsJSPsError"
);


DELETE FROM O4SRV.TSITDESC
WHERE SITNAME="J2EEError";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME ="J2EEError";

$PARMS(
"An error has occurred in the J2EE application server. Scroll the
 Initial Situation Values view, and examine the message text to
 determine the corrective action; consult the application server's
 log files for details."
);

INSERT INTO O4SRV.TSITDESC
(
AFFINITIES,
ALERTLIST,
AUTOSOPT,
AUTOSTART,
CMD,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
PDT,
PRNAMES,
QIBSCOPE,
REEV_DAYS,
REEV_TIME,
SENDMSGQ,
ADVISE,
SITNAME,
SITINFO,
TEXT
)
VALUES
(
/* AFFINITIES */
"0000000O0WW000W0000000000000004000000000000",
/* ALERTLIST */
"*NO",
/* AUTOSOPT */
"NNN     ",
/* AUTOSTART */
"*YES",
/* CMD */
"*NONE",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* PDT */
"*IF *VALUE Log_Analysis_-_J2EE.Severity *GT 21",
/* PRNAMES */
"MV52",
/* QIBSCOPE */
"E",
/* REEV_DAYS */
"0",
/* REEV_TIME */
"0" ,
/* SENDMSGQ */
"*NONE",
/* ADVISE */
?,
/* SITNAME */
"J2EEError",
/* SITINFO */
"SEV=Critical;ATOM=KYJLOGANAL.ERR_MSG",
/* TEXT */
"J2EE Application Server Error"
);

DELETE FROM O4SRV.TTMPLSIT
WHERE NAME ="J2EEError";

INSERT INTO O4SRV.TTMPLSIT
(
NAME,
STATE,
TEMPLATE,
TYPE
)
VALUES
(
/* NAME */
"J2EEError",
/* STATE */
"Critical",
/* TEMPLATE */
"KYJ.0060.KYJLOGANAL",
/* TYPE */
256
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_J2EE_WLS_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEError"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_J2EE_JBOSS_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEError"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_J2EE_NETWEAVER_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEError"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_J2EE_TOMCAT_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEError"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_J2EE_ORACLE_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEError"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_WASCE_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEError"
);


DELETE FROM O4SRV.TSITDESC
WHERE SITNAME="J2EENotConnected";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME ="J2EENotConnected";

$PARMS(
"The ITCAM for J2EE secondary data collector running in the
 application server has not connected to the Monitoring Agent. This
 may indicate that the J2EE Application Server has not started. Use
 the Start_Application_Server_ command in the Take Action view to
 the left to start your application server."
);

INSERT INTO O4SRV.TSITDESC
(
AFFINITIES,
ALERTLIST,
AUTOSOPT,
AUTOSTART,
CMD,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
PDT,
PRNAMES,
QIBSCOPE,
REEV_DAYS,
REEV_TIME,
SENDMSGQ,
ADVISE,
SITNAME,
SITINFO,
TEXT
)
VALUES
(
/* AFFINITIES */
"00000000000000000000000000W0000000000000000",
/* ALERTLIST */
"*NO",
/* AUTOSOPT */
"NNN     ",
/* AUTOSTART */
"*YES",
/* CMD */
"*NONE",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* PDT */
"*IF *VALUE Application_Server_Status_-_J2EE.Status *EQ 0",
/* PRNAMES */
"MV52",
/* QIBSCOPE */
"E",
/* REEV_DAYS */
"0",
/* REEV_TIME */
"000500" ,
/* SENDMSGQ */
"*NONE",
/* ADVISE */
?,
/* SITNAME */
"J2EENotConnected",
/* SITINFO */
"SEV=Critical;ATOM=KYJAPSST.SERVER_NAM",
/* TEXT */
"J2EE Application Server is Not Connected"
);

DELETE FROM O4SRV.TTMPLSIT
WHERE NAME ="J2EENotConnected";

INSERT INTO O4SRV.TTMPLSIT
(
NAME,
STATE,
TEMPLATE,
TYPE
)
VALUES
(
/* NAME */
"J2EENotConnected",
/* STATE */
"Critical",
/* TEMPLATE */
"KYJ.0000.KYJAPSST",
/* TYPE */
256
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*ITCAM_J2EE_AGENT",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EENotConnected"
);


DELETE FROM O4SRV.TSITDESC
WHERE SITNAME="J2EEOutofHeapSpace";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME ="J2EEOutofHeapSpace";

$PARMS(
"Heap allocation failed: heap space exhausted. Use either ITCAM for
 J2EE's Memory Leaks report to check your applications for memory
 leaks or configure your application server to tune the space
 allocated to the heap."
);

INSERT INTO O4SRV.TSITDESC
(
AFFINITIES,
ALERTLIST,
AUTOSOPT,
AUTOSTART,
CMD,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
PDT,
PRNAMES,
QIBSCOPE,
REEV_DAYS,
REEV_TIME,
SENDMSGQ,
ADVISE,
SITNAME,
SITINFO,
TEXT
)
VALUES
(
/* AFFINITIES */
"0000000O0WW000Y0000000000000004000000000000",
/* ALERTLIST */
"*NO",
/* AUTOSOPT */
"NNN     ",
/* AUTOSTART */
"*YES",
/* CMD */
"*NONE",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* PDT */
"*IF *VALUE Allocation_Failure_-_J2EE.Heap_Status *EQ 1 *OR *VALUE
 Allocation_Failure_-_J2EE.Heap_Status *EQ 3",
/* PRNAMES */
"MV52",
/* QIBSCOPE */
"E",
/* REEV_DAYS */
"0",
/* REEV_TIME */
"000500" ,
/* SENDMSGQ */
"*NONE",
/* ADVISE */
?,
/* SITNAME */
"J2EEOutofHeapSpace",
/* SITINFO */
"SEV=Critical;ATOM=KYJGCAF.SERVER_NAM",
/* TEXT */
"J2EE Application Server out of Heap Space"
);

DELETE FROM O4SRV.TTMPLSIT
WHERE NAME ="J2EEOutofHeapSpace";

INSERT INTO O4SRV.TTMPLSIT
(
NAME,
STATE,
TEMPLATE,
TYPE
)
VALUES
(
/* NAME */
"J2EEOutofHeapSpace",
/* STATE */
"Critical",
/* TEMPLATE */
"KYJ.0040.KYJGCACT",
/* TYPE */
256
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_J2EE_WLS_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEOutofHeapSpace"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_J2EE_JBOSS_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEOutofHeapSpace"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_J2EE_NETWEAVER_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEOutofHeapSpace"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_J2EE_TOMCAT_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEOutofHeapSpace"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_J2EE_ORACLE_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEOutofHeapSpace"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_J2EE_J2SE_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEOutofHeapSpace"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_WASCE_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEOutofHeapSpace"
);


DELETE FROM O4SRV.TSITDESC
WHERE SITNAME="J2EEHighResponseTime";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME ="J2EEHighResponseTime";

$PARMS(
"The average request response time is high: greater than 2 seconds.
 Consult the Request Analysis workspace to troubleshoot the slow
 response times."
);

INSERT INTO O4SRV.TSITDESC
(
AFFINITIES,
ALERTLIST,
AUTOSOPT,
AUTOSTART,
CMD,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
PDT,
PRNAMES,
QIBSCOPE,
REEV_DAYS,
REEV_TIME,
SENDMSGQ,
ADVISE,
SITNAME,
SITINFO,
TEXT
)
VALUES
(
/* AFFINITIES */
"0000000O0WW000Y0000000000000004000000000000",
/* ALERTLIST */
"*NO",
/* AUTOSOPT */
"NNN     ",
/* AUTOSTART */
"*YES",
/* CMD */
"*NONE",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* PDT */
"*IF *VALUE
 Request_Times_and_Rates_-_J2EE.Average_Request_Response_Time *GT
 2000",
/* PRNAMES */
"MV52",
/* QIBSCOPE */
"E",
/* REEV_DAYS */
"0",
/* REEV_TIME */
"000500" ,
/* SENDMSGQ */
"*NONE",
/* ADVISE */
?,
/* SITNAME */
"J2EEHighResponseTime",
/* SITINFO */
"SEV=Critical;ATOM=KYJREQHIS.APP_NAME",
/* TEXT */
"J2EE Application Server Response Time High"
);

DELETE FROM O4SRV.TTMPLSIT
WHERE NAME ="J2EEHighResponseTime";

INSERT INTO O4SRV.TTMPLSIT
(
NAME,
STATE,
TEMPLATE,
TYPE
)
VALUES
(
/* NAME */
"J2EEHighResponseTime",
/* STATE */
"Critical",
/* TEMPLATE */
"KYJ.0020.KYJREQUEST",
/* TYPE */
256
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_J2EE_WLS_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEHighResponseTime"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_J2EE_JBOSS_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEHighResponseTime"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_J2EE_NETWEAVER_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEHighResponseTime"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_J2EE_TOMCAT_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEHighResponseTime"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_J2EE_ORACLE_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEHighResponseTime"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_J2EE_J2SE_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEHighResponseTime"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_WASCE_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEHighResponseTime"
);


DELETE FROM O4SRV.TSITDESC
WHERE SITNAME="J2EEHighCPUPercentUsed";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME ="J2EEHighCPUPercentUsed";

$PARMS(
"The percentage of the CPU used by the application server JVM is
 high: greater than 80%. Consult the J2EE Application Server
 workspace to troubleshoot the high CPU usage."
);

INSERT INTO O4SRV.TSITDESC
(
AFFINITIES,
ALERTLIST,
AUTOSOPT,
AUTOSTART,
CMD,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
PDT,
PRNAMES,
QIBSCOPE,
REEV_DAYS,
REEV_TIME,
SENDMSGQ,
ADVISE,
SITNAME,
SITINFO,
TEXT
)
VALUES
(
/* AFFINITIES */
"0000000O0WW000Y0000000000000004000000000000",
/* ALERTLIST */
"*NO",
/* AUTOSOPT */
"NNN     ",
/* AUTOSTART */
"*YES",
/* CMD */
"*NONE",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* PDT */
"*IF *VALUE Application_Server_-_J2EE.CPU_Used_Percent *GT 80",
/* PRNAMES */
"MV52",
/* QIBSCOPE */
"E",
/* REEV_DAYS */
"0",
/* REEV_TIME */
"000500" ,
/* SENDMSGQ */
"*NONE",
/* ADVISE */
?,
/* SITNAME */
"J2EEHighCPUPercentUsed",
/* SITINFO */
"SEV=Critical;ATOM=KYJAPSRV.SERVER_NAM",
/* TEXT */
"J2EE Application Server Percent CPU Used High"
);

DELETE FROM O4SRV.TTMPLSIT
WHERE NAME ="J2EEHighCPUPercentUsed";

INSERT INTO O4SRV.TTMPLSIT
(
NAME,
STATE,
TEMPLATE,
TYPE
)
VALUES
(
/* NAME */
"J2EEHighCPUPercentUsed",
/* STATE */
"Critical",
/* TEMPLATE */
"KYJ.0080.KYJAPSRV",
/* TYPE */
256
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_J2EE_WLS_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEHighCPUPercentUsed"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_J2EE_JBOSS_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEHighCPUPercentUsed"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_J2EE_NETWEAVER_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEHighCPUPercentUsed"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_J2EE_TOMCAT_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEHighCPUPercentUsed"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_J2EE_ORACLE_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEHighCPUPercentUsed"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_J2EE_J2SE_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEHighCPUPercentUsed"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_WASCE_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEHighCPUPercentUsed"
);


DELETE FROM O4SRV.TSITDESC
WHERE SITNAME="J2EEHighGCTimePercent";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME ="J2EEHighGCTimePercent";

$PARMS(
"The percentage of time that the garbage collector was active is
 high: greater than 80%. This may mean your heap size is too small;
 update startup options for Application Server JVM tune either the
 garbage-collection parameters or the space allocated to the heap."
);

INSERT INTO O4SRV.TSITDESC
(
AFFINITIES,
ALERTLIST,
AUTOSOPT,
AUTOSTART,
CMD,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
PDT,
PRNAMES,
QIBSCOPE,
REEV_DAYS,
REEV_TIME,
SENDMSGQ,
ADVISE,
SITNAME,
SITINFO,
TEXT
)
VALUES
(
/* AFFINITIES */
"0000000O0WW000Y0000000000000004000000000000",
/* ALERTLIST */
"*NO",
/* AUTOSOPT */
"NNN     ",
/* AUTOSTART */
"*YES",
/* CMD */
"*NONE",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* PDT */
"*IF *VALUE Garbage_Collection_Analysis_-_J2EE.Real_Time_Percent *GT
 80",
/* PRNAMES */
"MV52",
/* QIBSCOPE */
"E",
/* REEV_DAYS */
"0",
/* REEV_TIME */
"000500" ,
/* SENDMSGQ */
"*NONE",
/* ADVISE */
?,
/* SITNAME */
"J2EEHighGCTimePercent",
/* SITINFO */
"SEV=Critical;ATOM=KYJGCACT.SERVER_NAM",
/* TEXT */
"J2EE Application Server High GC Time Percent"
);

DELETE FROM O4SRV.TTMPLSIT
WHERE NAME ="J2EEHighGCTimePercent";

INSERT INTO O4SRV.TTMPLSIT
(
NAME,
STATE,
TEMPLATE,
TYPE
)
VALUES
(
/* NAME */
"J2EEHighGCTimePercent",
/* STATE */
"Critical",
/* TEMPLATE */
"KYJ.0040.KYJGCACT",
/* TYPE */
256
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_J2EE_WLS_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEHighGCTimePercent"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_J2EE_JBOSS_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEHighGCTimePercent"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_J2EE_NETWEAVER_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEHighGCTimePercent"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_J2EE_TOMCAT_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEHighGCTimePercent"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_J2EE_ORACLE_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEHighGCTimePercent"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_J2EE_J2SE_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEHighGCTimePercent"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1101026000000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_WASCE_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"J2EEHighGCTimePercent"
);

/*  TAKE ACTIONS  */

DELETE FROM O4SRV.CCT
WHERE KEY = "YJSTARTBL";
  
INSERT INTO O4SRV.CCT
(
KEY,
AFFINITIES,
NAME,
DESC,
CMD
)
VALUES
(
/* KEY */
"YJSTARTBL",
/* AFFINITIES */
"0000000O0WW000W0000000000000004000000000000",
/* NAME */
"Start_Baselining",
/* DESC */
"Start a baselening for J2EE Application",
/* CMD */
"YJ:Start_Baselining &App_Id &Period &Update_Interval &Run_Clean"
);


DELETE FROM O4SRV.CCT
WHERE KEY = "YJSTOPBL";
  
INSERT INTO O4SRV.CCT
(
KEY,
AFFINITIES,
NAME,
DESC,
CMD
)
VALUES
(
/* KEY */
"YJSTOPBL",
/* AFFINITIES */
"0000000O0WW000W0000000000000004000000000000",
/* NAME */
"Stop_Baselining",
/* DESC */
"Stop a baselening for J2EE Application",
/* CMD */
"YJ:Stop_Baselining &App_Id"
);


DELETE FROM O4SRV.CCT
WHERE KEY = "YJARESATS";
  
INSERT INTO O4SRV.CCT
(
KEY,
AFFINITIES,
NAME,
DESC,
CMD
)
VALUES
(
/* KEY */
"YJARESATS",
/* AFFINITIES */
"0000000O0WW000W0000000000000004000000000000",
/* NAME */
"Enable_Auto_Threshold",
/* DESC */
"Sets automatic response threshold for J2EE Application",
/* CMD */
"YJ:Enable_Auto_Threshold &App_Id &Request_Id &Auto_Threshold_Percent
 &Auto_Threshold_Deviation &Auto_Threshold_Fair_Projection
 &Auto_Threshold_Bad_Projection &Use_Default"
);


DELETE FROM O4SRV.CCT
WHERE KEY = "YJREQRESTS";
  
INSERT INTO O4SRV.CCT
(
KEY,
AFFINITIES,
NAME,
DESC,
CMD
)
VALUES
(
/* KEY */
"YJREQRESTS",
/* AFFINITIES */
"0000000O0WW000W0000000000000004000000000000",
/* NAME */
"Override_Auto_Threshold",
/* DESC */
"Override request response thresholds for J2EE Application",
/* CMD */
"YJ:Override_Auto_Threshold &App_Id &Request_Id
 &Fair_Response_Threshold &Bad_Response_Threshold"
);


DELETE FROM O4SRV.CCT
WHERE KEY = "YJAPPMONEN";
  
INSERT INTO O4SRV.CCT
(
KEY,
AFFINITIES,
NAME,
DESC,
CMD
)
VALUES
(
/* KEY */
"YJAPPMONEN",
/* AFFINITIES */
"0000000O0WW000W0000000000000004000000000000",
/* NAME */
"Set_Application_Monitoring",
/* DESC */
"Enables monitoring of J2EE Application",
/* CMD */
"YJ:Set_Application_Monitoring &App_Id &Mon_Status
 &Request_Data_Monitoring_Level &Request_Data_Sampling_Rate
 &Reflex_Automation_Mode"
);


DELETE FROM O4SRV.CCT
WHERE KEY = "YJERRRTS";
  
INSERT INTO O4SRV.CCT
(
KEY,
AFFINITIES,
NAME,
DESC,
CMD
)
VALUES
(
/* KEY */
"YJERRRTS",
/* AFFINITIES */
"0000000O0WW000W0000000000000004000000000000",
/* NAME */
"Set_Completion_Thresholds",
/* DESC */
"Sets error rate thresholds for J2EE Application",
/* CMD */
"YJ:Set_Completion_Thresholds &App_Id &Fair_Completion_Rate
 &Bad_Completion_Rate"
);


DELETE FROM O4SRV.CCT
WHERE KEY = "YJUPDTBSL";
  
INSERT INTO O4SRV.CCT
(
KEY,
AFFINITIES,
NAME,
DESC,
CMD
)
VALUES
(
/* KEY */
"YJUPDTBSL",
/* AFFINITIES */
"0000000O0WW000W0000000000000004000000000000",
/* NAME */
"Update_Baseline",
/* DESC */
"Requests immediate updated from baseline data.",
/* CMD */
"YJ:Update_Baseline_Snapshot &App_Id"
);


DELETE FROM O4SRV.CCT
WHERE KEY = "YJREMAPP";
  
INSERT INTO O4SRV.CCT
(
KEY,
AFFINITIES,
NAME,
DESC,
CMD
)
VALUES
(
/* KEY */
"YJREMAPP",
/* AFFINITIES */
"0000000O0WW000W0000000000000004000000000000",
/* NAME */
"Remove_J2EE_Application",
/* DESC */
"Remove undeployed application data and configuration",
/* CMD */
"YJ:Remove_Application &App_Id"
);


DELETE FROM O4SRV.CCT
WHERE KEY = "YJSTARTSRV";
  
INSERT INTO O4SRV.CCT
(
KEY,
AFFINITIES,
NAME,
DESC,
CMD
)
VALUES
(
/* KEY */
"YJSTARTSRV",
/* AFFINITIES */
"0000000O0WW000W0000000000000004000000000000",
/* NAME */
"Start_Application_Server",
/* DESC */
"Start a J2EE Application Server",
/* CMD */
"YJ:StartAppSvr &User &Password"
);


DELETE FROM O4SRV.CCT
WHERE KEY = "YJSTARTSRVA";
  
INSERT INTO O4SRV.CCT
(
KEY,
AFFINITIES,
NAME,
DESC,
CMD
)
VALUES
(
/* KEY */
"YJSTARTSRVA",
/* AFFINITIES */
"00000000000000000000000000W0000000000000000",
/* NAME */
"Start_Application_Server_",
/* DESC */
"Start a J2EE Application Server",
/* CMD */
"YJ:StartAppSvr &Server_Name &User &Password"
);


DELETE FROM O4SRV.CCT
WHERE KEY = "YJSTOPSRV";
  
INSERT INTO O4SRV.CCT
(
KEY,
AFFINITIES,
NAME,
DESC,
CMD
)
VALUES
(
/* KEY */
"YJSTOPSRV",
/* AFFINITIES */
"0000000O0WW000W0000000000000004000000000000",
/* NAME */
"Stop_Application_Server",
/* DESC */
"Stop a J2EE Application Server",
/* CMD */
"YJ:StopAppSvr &User &Password"
);


DELETE FROM O4SRV.CCT
WHERE KEY = "YJSTOPSRVA";
  
INSERT INTO O4SRV.CCT
(
KEY,
AFFINITIES,
NAME,
DESC,
CMD
)
VALUES
(
/* KEY */
"YJSTOPSRVA",
/* AFFINITIES */
"00000000000000000000000000W0000000000000000",
/* NAME */
"Stop_Application_Server_",
/* DESC */
"Stop a J2EE Application Server",
/* CMD */
"YJ:StopAppSvr &Server_Name &User &Password"
);


DELETE FROM O4SRV.CCT
WHERE KEY = "YJCYCLESRV";
  
INSERT INTO O4SRV.CCT
(
KEY,
AFFINITIES,
NAME,
DESC,
CMD
)
VALUES
(
/* KEY */
"YJCYCLESRV",
/* AFFINITIES */
"0000000O0WW000W0000000000000004000000000000",
/* NAME */
"Recycle_Application_Server",
/* DESC */
"Recycle a J2EE Application Server",
/* CMD */
"YJ:CycleAppSvr &User &Password"
);


DELETE FROM O4SRV.CCT
WHERE KEY = "YJCYCLESRVA";
  
INSERT INTO O4SRV.CCT
(
KEY,
AFFINITIES,
NAME,
DESC,
CMD
)
VALUES
(
/* KEY */
"YJCYCLESRVA",
/* AFFINITIES */
"00000000000000000000000000W0000000000000000",
/* NAME */
"Recycle_Application_Server_",
/* DESC */
"Recycle a J2EE Application Server",
/* CMD */
"YJ:CycleAppSvr &Server_Name &User &Password"
);


DELETE FROM O4SRV.CCT
WHERE KEY = "YJREMSNODE";
  
INSERT INTO O4SRV.CCT
(
KEY,
AFFINITIES,
NAME,
DESC,
CMD
)
VALUES
(
/* KEY */
"YJREMSNODE",
/* AFFINITIES */
"0000000O0WW000Y0000000000000004000000000000",
/* NAME */
"Remove_J2EE_SubNode",
/* DESC */
"Remove an inactive ITCAM for J2EE subnode",
/* CMD */
"YJ:RemSubNode"
);


DELETE FROM O4SRV.CCT
WHERE KEY = "YJREMSNODEA";
  
INSERT INTO O4SRV.CCT
(
KEY,
AFFINITIES,
NAME,
DESC,
CMD
)
VALUES
(
/* KEY */
"YJREMSNODEA",
/* AFFINITIES */
"00000000000000000000000000W0000000000000000",
/* NAME */
"Remove_J2EE_SubNode_",
/* DESC */
"Remove an inactive ITCAM for J2EE subnode",
/* CMD */
"YJ:RemSubNode &Server_Name"
);


DELETE FROM O4SRV.CCT
WHERE KEY = "YJSTARTGCMONITOR";
  
INSERT INTO O4SRV.CCT
(
KEY,
AFFINITIES,
NAME,
DESC,
CMD
)
VALUES
(
/* KEY */
"YJSTARTGCMONITOR",
/* AFFINITIES */
"0000000O0WW000Y0000000000000004000000000000",
/* NAME */
"Start_GC_Monitoring",
/* DESC */
"Begin reporting garbage-collection data",
/* CMD */
"YJ:StartGCMonitor"
);


DELETE FROM O4SRV.CCT
WHERE KEY = "YJSTOPGCMONITOR";
  
INSERT INTO O4SRV.CCT
(
KEY,
AFFINITIES,
NAME,
DESC,
CMD
)
VALUES
(
/* KEY */
"YJSTOPGCMONITOR",
/* AFFINITIES */
"0000000O0WW000Y0000000000000004000000000000",
/* NAME */
"Stop_GC_Monitoring",
/* DESC */
"Stop reporting garbage-collection data",
/* CMD */
"YJ:StopGCMonitor"
);


DELETE FROM O4SRV.CCT
WHERE KEY = "YJSTARTREQMONITOR";
  
INSERT INTO O4SRV.CCT
(
KEY,
AFFINITIES,
NAME,
DESC,
CMD
)
VALUES
(
/* KEY */
"YJSTARTREQMONITOR",
/* AFFINITIES */
"0000000O0WW000Y0000000000000004000000000000",
/* NAME */
"Start_Request_Monitoring",
/* DESC */
"Begin reporting request data",
/* CMD */
"YJ:StartRequestMonitor &Level"
);


DELETE FROM O4SRV.CCT
WHERE KEY = "YJSETREQMONITOR";
  
INSERT INTO O4SRV.CCT
(
KEY,
AFFINITIES,
NAME,
DESC,
CMD
)
VALUES
(
/* KEY */
"YJSETREQMONITOR",
/* AFFINITIES */
"0000000O0WW000Y0000000000000004000000000000",
/* NAME */
"Set_Request_Sampling_Rate",
/* DESC */
"Set the sampling rate for request data",
/* CMD */
"YJ:SetRequestSamplingRate &Percent"
);


DELETE FROM O4SRV.CCT
WHERE KEY = "YJSTOPREQMONITOR";
  
INSERT INTO O4SRV.CCT
(
KEY,
AFFINITIES,
NAME,
DESC,
CMD
)
VALUES
(
/* KEY */
"YJSTOPREQMONITOR",
/* AFFINITIES */
"0000000O0WW000Y0000000000000004000000000000",
/* NAME */
"Stop_Request_Monitoring",
/* DESC */
"Stop reporting request data",
/* CMD */
"YJ:StopRequestMonitor"
);


DELETE FROM O4SRV.CCT
WHERE KEY = "YJSTARTRESMONITOR";
  
INSERT INTO O4SRV.CCT
(
KEY,
AFFINITIES,
NAME,
DESC,
CMD
)
VALUES
(
/* KEY */
"YJSTARTRESMONITOR",
/* AFFINITIES */
"0000000O0WW000Y0000000000000004000000000000",
/* NAME */
"Start_Resource_Monitoring",
/* DESC */
"Begin reporting PMI data",
/* CMD */
"YJ:StartResourceMonitor"
);


DELETE FROM O4SRV.CCT
WHERE KEY = "YJSTOPRESMONITOR";
  
INSERT INTO O4SRV.CCT
(
KEY,
AFFINITIES,
NAME,
DESC,
CMD
)
VALUES
(
/* KEY */
"YJSTOPRESMONITOR",
/* AFFINITIES */
"0000000O0WW000Y0000000000000004000000000000",
/* NAME */
"Stop_Resource_Monitoring",
/* DESC */
"Stop reporting PMI data",
/* CMD */
"YJ:StopResourceMonitor"
);

UPDATE O4SRV.TSITDESC
    SET TEXT = "Kyj:KYJV611186"
    WHERE SITNAME = "J2EEError";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kyj:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "J2EEError";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kyj:KYJV611187"
    WHERE SITNAME = "J2EEHighCPUPercentUsed";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kyj:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "J2EEHighCPUPercentUsed";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kyj:KYJV611188"
    WHERE SITNAME = "J2EEHighGCTimePercent";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kyj:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "J2EEHighGCTimePercent";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kyj:KYJV611189"
    WHERE SITNAME = "J2EEHighResponseTime";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kyj:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "J2EEHighResponseTime";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kyj:KYJV611190"
    WHERE SITNAME = "J2EENotConnected";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kyj:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "J2EENotConnected";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kyj:KYJV611191"
    WHERE SITNAME = "J2EEOutofHeapSpace";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kyj:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "J2EEOutofHeapSpace";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kyj:KYJV611192"
    WHERE SITNAME = "J2EEServletsJSPsError";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kyj:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "J2EEServletsJSPsError";
UPDATE O4SRV.CCT
    SET DESC = "Kyj:KYJV612645"
    WHERE NAME = "Recycle_Application_Server";
UPDATE O4SRV.CCT
    SET DESC = "Kyj:KYJV612646"
    WHERE NAME = "Recycle_Application_Server_";
UPDATE O4SRV.CCT
    SET DESC = "Kyj:KYJV612647"
    WHERE NAME = "Remove_J2EE_SubNode";
UPDATE O4SRV.CCT
    SET DESC = "Kyj:KYJV612648"
    WHERE NAME = "Remove_J2EE_SubNode_";
UPDATE O4SRV.CCT
    SET DESC = "Kyj:KYJV612649"
    WHERE NAME = "Set_Request_Sampling_Rate";
UPDATE O4SRV.CCT
    SET DESC = "Kyj:KYJV612650"
    WHERE NAME = "Start_GC_Monitoring";
UPDATE O4SRV.CCT
    SET DESC = "Kyj:KYJV612651"
    WHERE NAME = "Start_Request_Monitoring";
UPDATE O4SRV.CCT
    SET DESC = "Kyj:KYJV612652"
    WHERE NAME = "Start_Resource_Monitoring";
UPDATE O4SRV.CCT
    SET DESC = "Kyj:KYJV612653"
    WHERE NAME = "Start_Application_Server";
UPDATE O4SRV.CCT
    SET DESC = "Kyj:KYJV612654"
    WHERE NAME = "Start_Application_Server_";
UPDATE O4SRV.CCT
    SET DESC = "Kyj:KYJV612655"
    WHERE NAME = "Stop_GC_Monitoring";
UPDATE O4SRV.CCT
    SET DESC = "Kyj:KYJV612656"
    WHERE NAME = "Stop_Request_Monitoring";
UPDATE O4SRV.CCT
    SET DESC = "Kyj:KYJV612657"
    WHERE NAME = "Stop_Resource_Monitoring";
UPDATE O4SRV.CCT
    SET DESC = "Kyj:KYJV612658"
    WHERE NAME = "Stop_Application_Server";
UPDATE O4SRV.CCT
    SET DESC = "Kyj:KYJV612659"
    WHERE NAME = "Stop_Application_Server_";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kyj:KYJWR3028"
    WHERE SITNAME = "J2EEAppDiscovered";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kyj:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "J2EEAppDiscovered";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kyj:KYJWR3029"
    WHERE SITNAME = "J2EEAppHealthBad";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kyj:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "J2EEAppHealthBad";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kyj:KYJWR3030"
    WHERE SITNAME = "J2EEAppHealthFair";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kyj:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "J2EEAppHealthFair";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kyj:KYJWR3031"
    WHERE SITNAME = "J2EEAppHealthGood";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kyj:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "J2EEAppHealthGood";
